Cyberduck Mountain Duck CLI

#230 closed defect (duplicate)

Sometimes, files that begin with a dot (like .htaccess) don't appear in the browser

Reported by: anonymous Owned by: dkocher
Priority: normal Milestone: 2.6.1
Component: interface Version: 3.0.3
Severity: normal Keywords: .htaccess, hidden files
Cc: Architecture:
Platform:

Description

Sometimes, files that begin with a dot (like .htaccess) don't appears in the browser. However, the preference "Show files that begin with a '.'" is set to true. I need to reboot the app to see that sort of files again. Thanks for your good work. Good luck.

Change History (11)

comment:1 Changed on Feb 23, 2006 at 10:24:08 PM by dkocher

  • Resolution set to invalid
  • Status changed from new to closed

Be aware you can overwrite the default setting in the preferences per browser window. See View > Show Hidden Files. You may have accidentally unchecked that option (e.g. using command-shift-reload). I close this therefore. If you have exact steps to reproduce, please reopen the ticket.

comment:2 Changed on Mar 5, 2006 at 1:18:46 AM by Dravick

  • Resolution invalid deleted
  • Status changed from closed to reopened
  • Version changed from 2.5.4 to 2.5.5

The option seems to toggle off whenever you create a file or a directory.

comment:3 Changed on Mar 5, 2006 at 1:51:19 AM by dkocher

  • Component changed from core to interface
  • Milestone set to 2.6
  • Status changed from reopened to new

comment:4 Changed on Mar 24, 2006 at 3:04:08 PM by dkocher

  • Status changed from new to assigned

comment:5 Changed on Apr 20, 2006 at 12:29:49 PM by dkocher

  • Milestone changed from 2.6 to 2.5.6
  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed with r2033.

comment:6 Changed on Jun 12, 2006 at 2:26:30 PM by pb@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

I'm still seeing this behavior in 2.6.

Specifically, it happens after I create a new directory. The View > Show Hidden Files option gets toggled. Creating a *file* rather than a directory does not seem to be a problem.

comment:7 Changed on Jul 13, 2006 at 11:32:04 AM by dkocher

  • Milestone changed from 2.6 to 2.6.1
  • Resolution set to fixed
  • Status changed from reopened to closed

comment:8 Changed on Aug 30, 2008 at 11:37:12 AM by anonymous

  • Version changed from 2.5.5 to 3.0.2

Preference for hidden files still work only after relaunch. You may ditch it from pref when view menu works fine and does not depend on pref settings. CD 3.0.2

comment:9 follow-up: Changed on Dec 8, 2008 at 8:33:51 PM by Martin Weiss

  • Keywords .htaccess hidden files added
  • Resolution fixed deleted
  • Severity changed from minor to normal
  • Status changed from closed to reopened
  • Summary changed from Sometimes, files that begin with a dot (like .htaccess) don't appears in the explorer to Sometimes, files that begin with a dot (like .htaccess) don't appear in the explorer
  • Version changed from 3.0.2 to 3.0.3

I have the exact same issue, even though "show hidden files" is enabled, I can create a new file named ".htaccess", but it does not get displayed. Re-starting Cyberduck does not help. Running 3.0.3 on OSX 10.5.5

comment:10 Changed on Aug 3, 2009 at 11:39:07 AM by anonymous

Here the same problem, I got "show hidden files" enabled but my .htacces file won't show. If I upload another file without the "." for the file name all goes ok. when I change the name to ".htacces" it disapears... Anyone? I run version 2.0.

comment:11 in reply to: ↑ 9 Changed on Dec 25, 2009 at 11:30:59 AM by dkocher

  • Resolution set to duplicate
  • Status changed from reopened to closed
  • Summary changed from Sometimes, files that begin with a dot (like .htaccess) don't appear in the explorer to Sometimes, files that begin with a dot (like .htaccess) don't appear in the browser

Replying to Martin Weiss:

I have the exact same issue, even though "show hidden files" is enabled, I can create a new file named ".htaccess", but it does not get displayed. Re-starting Cyberduck does not help. Running 3.0.3 on OSX 10.5.5

Duplicate for #2424.

Note: See TracTickets for help on using tickets.
swiss made software